WP3IndentGroup Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP3IndentGroup Class Reference

`#include <WP3IndentGroup.h>`

Inheritance diagram for WP3IndentGroup:

## Public Member Functions
| WP3IndentGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_subGroup
double | m_offset

## Additional Inherited Members
Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP3IndentGroup()

WP3IndentGroup::WP3IndentGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ _readContents()

void WP3IndentGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overrideprotectedvirtual

Implements WP3FixedLengthGroup.

## ◆ parse()

void WP3IndentGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_offset

double WP3IndentGroup::m_offset
| private

Referenced by _readContents(), and parse().

## ◆ m_subGroup

unsigned char WP3IndentGroup::m_subGroup
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3IndentGroup.h
- WP3IndentGroup.cpp